import React from 'react'
import { Button } from 'react-bootstrap'
import { useAuth } from 'test608'

const Home = () => {
  const { isAuthenticated, login, register } = useAuth()
  return (
    <div>
      <h2 style={{ margin: '100px', textAlign: 'center' }}>Home Page</h2>
      <div>
        {!isAuthenticated && (
          <div style={{ display: 'flex', justifyContent: 'center', gap: '50px' }}>
            <Button onClick={login} style={{ minWidth: '150px', textAlign: 'center' }}>
              Login
            </Button>
            <Button onClick={register} style={{ minWidth: '150px', textAlign: 'center' }}>
              Signup
            </Button>
          </div>
        )}
        {isAuthenticated && <h3>Welcome</h3>}
      </div>
    </div>
  )
}

export default Home
