import React from 'react'
import { useAuth } from '../context'

interface IAuthenticate {
  children: React.ReactNode
  fallbackUrl: string
}
// Revisit
const Authenticate: React.FC<IAuthenticate> = ({ children, fallbackUrl }) => {
  const { isAuthenticated } = useAuth()

  return isAuthenticated ? children : (window.location.href = fallbackUrl)
}

export default Authenticate
